// generateROCs.js
// copy to any directory, launch cmd.exe and
// cd to the location of this script.
// execute as C:\WhereEver> cscript.exe generateROCs.js

function main()
{
  var N = 5;
  WScript.Echo("\nBegin ROC utility for N=" + N + " categories\n");
  
  for (k = 1; k <= N; k++) {
    var ans = roc(N,k);
    var trunced = Math.round(ans*100000)/100000;
    var display = pad(trunced);   
    WScript.Echo("c" + k + " = " + display );
  }
  WScript.Echo("\nEnd utility");
}

function roc(N,k)
{
  var result = 0.0;
  for (i = k; i <= N; i++) {
    result = result + (1.0 / i);
  }
  return result / N;
}

function pad(n) // pad 0.xx with zeros to 5 places
{
  var result = n + ""; 
  var zerosToAdd = 7 - result.length;
  for (i = 1; i <= zerosToAdd; i++) {
    result += "0";
  }
  return result;
} 

main();

